using AidA.Data;
using AidA.Data.Entities;
using AidA.Data.ViewModel;
using AidA.Service.Anonymization;
using DevExpress.Xpf.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;


namespace AidA.View
{
    /// <summary>
    /// Interaction logic for AnonymisierungsAusnahmenWindow.xaml
    /// </summary>
    public partial class AnonymisierungsAusnahmenWindow : ThemedWindow
    {
        IList<Anonymisierungsausnahme> AnonymisierungsAusnahmen;

        public AnonymisierungsAusnahmenWindow()
        {
            InitializeComponent();
            AnonymisierungsAusnahmen = Database.GetAll<Anonymisierungsausnahme>();
            GridControlAnonymisierungsAusnahmen.ItemsSource = AnonymisierungsAusnahmen;
        }

        private void HinzufuegenButton_Click(object sender, RoutedEventArgs e)
        {
            long antragsNummer = long.Parse(TextEditAntragsNummer.Text);
            MainController.AnonymisierungsAusnahmeHinzufuegen(antragsNummer);
            AnonymisierungsAusnahmen = Database.GetAll<Anonymisierungsausnahme>();
            GridControlAnonymisierungsAusnahmen.ItemsSource = AnonymisierungsAusnahmen;
        }

        private void DeleteButton_Click(object sender, RoutedEventArgs e)
        {
            Anonymisierungsausnahme anonymisierungsAusnahme = (Anonymisierungsausnahme) GridControlAnonymisierungsAusnahmen.CurrentItem;
            MainController.AnonymisierungsAusnahmeLoeschen(anonymisierungsAusnahme);
            AnonymisierungsAusnahmen = Database.GetAll<Anonymisierungsausnahme>();
            GridControlAnonymisierungsAusnahmen.ItemsSource = AnonymisierungsAusnahmen;
        }

        private void SchliessenButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

    }
}
